/**
 * ProjectLaogai
 *
 * Copyright 2018  <seil0@mosad.xyz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 */

package org.mosad.seil0.projectlaogai

import android.annotation.SuppressLint
import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.LinearLayout
import ord.mosad.seil0.projectlaogai.uicomponents.MensaDayCardView
import ord.mosad.seil0.projectlaogai.uicomponents.MenuCardView

/**
 * The mensa controller class
 * contains all needed parts to display and the mensa detail screen
 */
class MensaFragment : Fragment() {

    private lateinit var linLayoutMensaFragment: LinearLayout

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {

        val view: View = inflater.inflate(R.layout.fragment_mensa, container, false)

        linLayoutMensaFragment = view.findViewById(R.id.linLayout_MensaFragment)

        addDay()

        return view
    }

    @SuppressLint("SetTextI18n")
    fun addDay() {

        val cardViewMensaDay = MensaDayCardView(context!!, null)
        val menuViewMenu1 = MenuCardView(context!!, null)
        val menuViewMenu2 = MenuCardView(context!!, null)

        menuViewMenu1.getTxtViewMenuHeading().text = "Essen 1"
        menuViewMenu1.getTxtViewMenu().text = "Buntes Pfannengemüse\nCouscous\nBlattsalat"
        menuViewMenu2.getTxtViewMenuHeading().text = "Essen 2"
        menuViewMenu2.getTxtViewMenu().text = "Riesen Currywurst\nCurryketchup\nGitterkartoffeln\nBlattsalat"

        cardViewMensaDay.getLinLayoutMensaDay().addView(menuViewMenu1)
        cardViewMensaDay.getLinLayoutMensaDay().addView(menuViewMenu2)
        linLayoutMensaFragment.addView(cardViewMensaDay)


        val cardViewMensaDay2 = MensaDayCardView(context!!, null)
        val menuViewMenu12 = MenuCardView(context!!, null)
        val menuViewMenu22 = MenuCardView(context!!, null)

        menuViewMenu12.getTxtViewMenuHeading().text = "Essen 12"
        menuViewMenu12.getTxtViewMenu().text = "Buntes Pfannengemüse\nCouscous\nBlattsalat"
        menuViewMenu22.getTxtViewMenuHeading().text = "Essen 22"
        menuViewMenu22.getTxtViewMenu().text = "Riesen Currywurst\nCurryketchup\nGitterkartoffeln\nBlattsalat"

        cardViewMensaDay2.getLinLayoutMensaDay().addView(menuViewMenu12)
        cardViewMensaDay2.getLinLayoutMensaDay().addView(menuViewMenu22)
        linLayoutMensaFragment.addView(cardViewMensaDay2)

    }


}
